Record runs of the active profile; the same clientId again raises that run's score.
POST
/api/progress/scores
const url = 'https://example.com/api/progress/scores';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"scores":[{"clientId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","gameId":"example","board":"example","value":1,"achievedAt":"2026-04-15T12:00:00Z","final":true}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/progress/scores \ --header 'Content-Type: application/json' \ --data '{ "scores": [ { "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "gameId": "example", "board": "example", "value": 1, "achievedAt": "2026-04-15T12:00:00Z", "final": true } ] }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
scores
required
Array<object>
object
clientId
required
string format: uuid
gameId
required
string
board
required
string
value
required
number format: double
achievedAt
required
string format: date-time
final
boolean
Responses
Section titled “Responses”OK
Media typeapplication/json
object
recorded
required
integer format: int32
Example generated
{ "recorded": 1}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}